import java.applet.Applet;
import java.awt.Color;
import java.awt.Component;
import java.awt.Event;
import java.awt.Font;
import java.awt.Graphics;
import java.net.URL;
import java.util.Date;

public class led_countdown extends Applet implements Runnable {
   int lastHour;
   int lastMinute;
   int lastSecond;
   int lastHourDigit;
   int lastMinuteDigit;
   int lastSecondDigit;
   int lastTenHourDigit;
   int lastTenMinuteDigit;
   int lastTenSecondDigit;
   int lastDayDigit;
   int lastTenDayDigit;
   int lastHundredDayDigit;
   int lastYearDigit;
   int lastTenYearDigit;
   int lastHundredYearDigit;
   boolean lastSign;
   Thread tickTock;
   int speed = 1000;
   Color LEDColour;
   Color BackGround;
   Color FrameColour;
   boolean includeYears;
   boolean includeDays;
   int shiftOver;
   long targetSeconds;
   Font theFont;
   URL theURLToGoTo;
   boolean mouseOut = true;
   boolean notUpdatedYet = true;
   String tick_sound;
   String alarm_sound;

   public String[][] getParameterInfo() {
      String[][] var1 = new String[][]{{"ledcolor", "string", "Color of the numbers (e.g. green)"}, {"backcolor", "string", "Background color of applet window"}, {"framecolor", "string", "Border color of applet window"}, {"year", "integer", "19xx (e.g. 96=1996)"}, {"month", "integer", "1-12"}, {"day", "integer", "1-31 (depending on month)"}, {"hour", "integer", "0-23"}, {"minute", "integer", "0-59"}, {"second", "integer", "0-59"}};
      return var1;
   }

   public String getAppletInfo() {
      return new String("Netobjects LED countdown timer");
   }

   public long YearsToDays(int var1) {
      int var2 = 0;

      int var3;
      for(var3 = 0; var2 < var1; var2 += 4) {
         ++var3;
      }

      return (long)Math.abs(365 * var1 + var3);
   }

   public int DateToDayOfYear(int var1, int var2, int var3) {
      int var4;
      switch (var2) {
         case 0:
            var4 = 0;
            break;
         case 1:
            var4 = 31;
            break;
         case 2:
            var4 = 59;
            break;
         case 3:
            var4 = 90;
            break;
         case 4:
            var4 = 120;
            break;
         case 5:
            var4 = 151;
            break;
         case 6:
            var4 = 181;
            break;
         case 7:
            var4 = 212;
            break;
         case 8:
            var4 = 243;
            break;
         case 9:
            var4 = 273;
            break;
         case 10:
            var4 = 304;
            break;
         case 11:
            var4 = 334;
            break;
         default:
            var4 = 0;
      }

      int var5 = (var1 + 1900) / 4;
      if (var5 * 4 == var1 + 1900) {
         ++var4;
      } else {
         var5 = (var1 + 1900) / 400;
         if (var5 * 400 == var1 + 1900) {
            ++var4;
         }
      }

      return var4 + var3;
   }

   public void init() {
      int var8 = 134;
      this.lastHourDigit = 0;
      this.lastMinuteDigit = 0;
      this.lastSecondDigit = 0;
      this.lastTenHourDigit = 0;
      this.lastTenMinuteDigit = 0;
      this.lastTenSecondDigit = 0;
      this.lastDayDigit = 0;
      this.lastTenDayDigit = 0;
      this.lastHundredDayDigit = 0;
      this.lastYearDigit = 0;
      this.lastTenYearDigit = 0;
      this.lastHundredYearDigit = 0;
      this.lastSign = true;
      String var1 = ((Applet)this).getParameter("backcolor");
      this.BackGround = var1 == null ? Color.black : this.GetColourFromString(var1);
      var1 = ((Applet)this).getParameter("ledcolor");
      this.LEDColour = var1 == null ? Color.green : this.GetColourFromString(var1);
      var1 = ((Applet)this).getParameter("framecolor");
      this.FrameColour = var1 == null ? Color.green : this.GetColourFromString(var1);
      var1 = ((Applet)this).getParameter("year");
      int var2 = var1 == null ? 0 : Integer.valueOf(var1);
      var1 = ((Applet)this).getParameter("month");
      int var3 = var1 == null ? 0 : Integer.valueOf(var1) - 1;
      var1 = ((Applet)this).getParameter("day");
      int var4 = var1 == null ? 0 : Integer.valueOf(var1);
      var1 = ((Applet)this).getParameter("hour");
      int var5 = var1 == null ? 0 : Integer.valueOf(var1);
      var1 = ((Applet)this).getParameter("minute");
      int var6 = var1 == null ? 0 : Integer.valueOf(var1);
      var1 = ((Applet)this).getParameter("second");
      int var7 = var1 == null ? 0 : Integer.valueOf(var1);
      this.targetSeconds = (this.YearsToDays(var2) + (long)this.DateToDayOfYear(var2, var3, var4)) * 24L * 60L * 60L + (long)(var5 * 60 * 60) + (long)(var6 * 60) + (long)var7;
      var1 = ((Applet)this).getParameter("year-digits");
      this.includeYears = var1 != null;
      if (this.includeYears) {
         var8 += 74;
         this.shiftOver += 74;
      }

      this.includeDays = true;
      if (this.includeDays) {
         var8 += 56;
         this.shiftOver += 56;
      }

      this.tick_sound = ((Applet)this).getParameter("tick_sound");
      this.alarm_sound = ((Applet)this).getParameter("alarm_sound");
      this.theFont = new Font("Helvetica", 0, 9);
      ((Applet)this).resize(var8, 58);
      ((Component)this).repaint();
   }

   public Color GetColourFromString(String var1) {
      if (var1.equalsIgnoreCase("BLACK")) {
         return Color.black;
      } else if (var1.equalsIgnoreCase("BLUE")) {
         return Color.blue;
      } else if (var1.equalsIgnoreCase("CYAN")) {
         return Color.cyan;
      } else if (var1.equalsIgnoreCase("DARKGRAY")) {
         return Color.darkGray;
      } else if (var1.equalsIgnoreCase("GRAY")) {
         return Color.gray;
      } else if (var1.equalsIgnoreCase("GREEN")) {
         return Color.green;
      } else if (var1.equalsIgnoreCase("LIGHTGRAY")) {
         return Color.lightGray;
      } else if (var1.equalsIgnoreCase("MAGENTA")) {
         return Color.magenta;
      } else if (var1.equalsIgnoreCase("ORANGE")) {
         return Color.orange;
      } else if (var1.equalsIgnoreCase("PINK")) {
         return Color.pink;
      } else if (var1.equalsIgnoreCase("RED")) {
         return Color.red;
      } else if (var1.equalsIgnoreCase("WHITE")) {
         return Color.white;
      } else {
         return var1.equalsIgnoreCase("YELLOW") ? Color.yellow : Color.black;
      }
   }

   public void paint(Graphics var1) {
      Date var2 = new Date();
      Color var3 = var1.getColor();
      var1.setColor(Color.black);
      var1.fillRect(0, 0, ((Component)this).bounds().width - 1, 11);
      var1.fillRect(0, ((Component)this).bounds().height - 12, ((Component)this).bounds().width - 1, ((Component)this).bounds().height - 1);
      var1.setColor(this.BackGround);
      var1.fillRect(0, 11, ((Component)this).bounds().width - 1, ((Component)this).bounds().height - 22);
      var1.setColor(this.FrameColour);
      var1.drawRect(0, 10, ((Component)this).bounds().width - 2, ((Component)this).bounds().height - 21);
      this.DrawTextStuff(var1);
      this.DrawClock(var1, var2);
      var1.setColor(var3);
   }

   public final synchronized void update(Graphics var1) {
      Date var14 = new Date();
      long var11 = (this.YearsToDays(var14.getYear()) + (long)this.DateToDayOfYear(var14.getYear(), var14.getMonth(), var14.getDate())) * 24L * 60L * 60L + (long)(var14.getHours() * 60 * 60) + (long)(var14.getMinutes() * 60) + (long)var14.getSeconds() - this.targetSeconds;
      boolean var15 = var11 < 0L;
      var11 = Math.abs(var11);
      int var8 = (int)(var11 / 86400L);
      int var2 = (int)((var11 - (long)(var8 * 86400)) / 3600L);
      int var3 = (int)((var11 - (long)(var8 * 86400) - (long)(var2 * 60 * 60)) / 60L);
      int var4 = (int)(var11 - (long)(var8 * 86400) - (long)(var2 * 60 * 60) - (long)(var3 * 60));
      int var5 = var2 / 10;
      var2 -= var5 * 10;
      int var6 = var3 / 10;
      var3 -= var6 * 10;
      int var7 = var4 / 10;
      var4 -= var7 * 10;
      int var10 = var8 / 100;
      var8 -= var10 * 100;
      int var9 = var8 / 10;
      var8 -= var9 * 10;
      Color var13 = var1.getColor();
      if (var4 != this.lastSecondDigit) {
         this.DrawSecond(var4);
         this.lastSecondDigit = var4;
      }

      if (var7 != this.lastTenSecondDigit) {
         this.DrawTenSecond(var7);
         this.lastTenSecondDigit = var7;
      }

      if (var3 != this.lastMinuteDigit) {
         this.DrawMinute(var3);
         this.lastMinuteDigit = var3;
      }

      if (var6 != this.lastTenMinuteDigit) {
         this.DrawTenMinute(var6);
         this.lastTenMinuteDigit = var6;
      }

      if (var2 != this.lastHourDigit) {
         this.DrawHour(var2);
         this.lastHourDigit = var2;
      }

      if (var5 != this.lastTenHourDigit) {
         this.DrawTenHour(var5);
         this.lastTenHourDigit = var5;
      }

      if (this.includeDays) {
         if (var8 != this.lastDayDigit) {
            this.DrawDay(var8);
            this.lastDayDigit = var8;
         }

         if (var9 != this.lastTenDayDigit) {
            this.DrawTenDay(var9);
            this.lastTenDayDigit = var9;
         }

         if (var10 != this.lastHundredDayDigit) {
            this.DrawHundredDay(var10);
            this.lastHundredDayDigit = var10;
         }
      }

      if (var15 != this.lastSign) {
         this.DrawSign(var15);
      }

      this.DrawColons();
      var1.setColor(var13);
      if (this.tick_sound != null) {
         ((Applet)this).play(((Applet)this).getDocumentBase(), this.tick_sound);
      }

   }

   public synchronized void DrawTextStuff(Graphics var1) {
      Color var2 = var1.getColor();
      var1.setColor(Color.green);
      var1.setFont(this.theFont);
      if (this.includeDays) {
         var1.drawString("DAYS", 31, ((Component)this).bounds().height - 2);
      }

      var1.drawString("HOURS", this.shiftOver + 18, ((Component)this).bounds().height - 2);
      var1.drawString("MINS", this.shiftOver + 61, ((Component)this).bounds().height - 2);
      var1.drawString("SECS", this.shiftOver + 99, ((Component)this).bounds().height - 2);
      var1.setColor(var2);
   }

   public synchronized void DrawClock(Graphics var1, Date var2) {
      long var12 = (this.YearsToDays(var2.getYear()) + (long)this.DateToDayOfYear(var2.getYear(), var2.getMonth(), var2.getDate())) * 24L * 60L * 60L + (long)(var2.getHours() * 60 * 60) + (long)(var2.getMinutes() * 60) + (long)var2.getSeconds() - this.targetSeconds;
      boolean var14 = var12 < 0L;
      var12 = Math.abs(var12);
      int var9 = (int)(var12 / 86400L);
      int var3 = (int)((var12 - (long)(var9 * 86400)) / 3600L);
      int var4 = (int)((var12 - (long)(var9 * 86400) - (long)(var3 * 60 * 60)) / 60L);
      int var5 = (int)(var12 - (long)(var9 * 86400) - (long)(var3 * 60 * 60) - (long)(var4 * 60));
      int var6 = var3 / 10;
      var3 -= var6 * 10;
      int var7 = var4 / 10;
      var4 -= var7 * 10;
      int var8 = var5 / 10;
      var5 -= var8 * 10;
      int var11 = var9 / 100;
      var9 -= var11 * 100;
      int var10 = var9 / 10;
      var9 -= var10 * 10;
      this.DrawSecond(var5);
      this.DrawTenSecond(var8);
      this.DrawMinute(var4);
      this.DrawTenMinute(var7);
      this.DrawHour(var3);
      this.DrawTenHour(var6);
      if (this.includeDays) {
         this.DrawDay(var9);
         this.DrawTenDay(var10);
         this.DrawHundredDay(var11);
      }

      this.DrawSign(var14);
      this.DrawColons();
   }

   public synchronized void DrawSign(boolean var1) {
      Graphics var2 = ((Component)this).getGraphics();
      var2.setColor(this.LEDColour);
      if (var1) {
         var2.fillRect(5, 28, 8, 2);
      } else {
         var2.fillRect(5, 28, 8, 2);
         var2.fillRect(8, 25, 2, 8);
      }
   }

   public synchronized void DrawDay(int var1) {
      int var2 = this.includeYears ? 115 : 55;
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, var2, 16);
   }

   public synchronized void DrawTenDay(int var1) {
      int var2 = this.includeYears ? 97 : 37;
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, var2, 16);
   }

   public synchronized void DrawHundredDay(int var1) {
      int var2 = this.includeYears ? 79 : 19;
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, var2, 16);
   }

   public synchronized void DrawSecond(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 113, 16);
   }

   public synchronized void DrawTenSecond(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 95, 16);
   }

   public synchronized void DrawMinute(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 75, 16);
   }

   public synchronized void DrawTenMinute(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 57, 16);
   }

   public synchronized void DrawHour(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 37, 16);
   }

   public synchronized void DrawTenHour(int var1) {
      this.DrawSevenSegments(((Component)this).getGraphics(), var1, this.shiftOver + 19, 16);
   }

   public synchronized void DrawColons() {
      Graphics var1 = ((Component)this).getGraphics();
      byte var2 = 0;
      var1.setColor(this.LEDColour);
      if (this.includeYears) {
         var2 = 74;
         var1.fillRect(89, 23, 2, 2);
         var1.fillRect(89, 32, 2, 2);
      }

      if (this.includeDays) {
         var1.fillRect(var2 + 71, 23, 2, 2);
         var1.fillRect(var2 + 71, 32, 2, 2);
      }

      var1.fillRect(this.shiftOver + 54, 23, 2, 2);
      var1.fillRect(this.shiftOver + 54, 32, 2, 2);
      var1.fillRect(this.shiftOver + 91, 23, 2, 2);
      var1.fillRect(this.shiftOver + 91, 32, 2, 2);
   }

   private synchronized void DrawSevenSegments(Graphics var1, int var2, int var3, int var4) {
      switch (var2) {
         case -1:
            this.DrawSegment0Off(var1, var3, var4);
            this.DrawSegment1Off(var1, var3, var4);
            this.DrawSegment2Off(var1, var3, var4);
            this.DrawSegment3Off(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5Off(var1, var3, var4);
            this.DrawSegment6Off(var1, var3, var4);
            return;
         case 0:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3Off(var1, var3, var4);
            this.DrawSegment4On(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 1:
            this.DrawSegment0Off(var1, var3, var4);
            this.DrawSegment1Off(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3Off(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6Off(var1, var3, var4);
            return;
         case 2:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1Off(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4On(var1, var3, var4);
            this.DrawSegment5Off(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 3:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1Off(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 4:
            this.DrawSegment0Off(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6Off(var1, var3, var4);
            return;
         case 5:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2Off(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 6:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2Off(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4On(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 7:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1Off(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3Off(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6Off(var1, var3, var4);
            return;
         case 8:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4On(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6On(var1, var3, var4);
            return;
         case 9:
            this.DrawSegment0On(var1, var3, var4);
            this.DrawSegment1On(var1, var3, var4);
            this.DrawSegment2On(var1, var3, var4);
            this.DrawSegment3On(var1, var3, var4);
            this.DrawSegment4Off(var1, var3, var4);
            this.DrawSegment5On(var1, var3, var4);
            this.DrawSegment6Off(var1, var3, var4);
            return;
         default:
      }
   }

   private synchronized void DrawSegment0On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 1, 9);
   }

   private synchronized void DrawSegment0Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 1, 9);
   }

   private synchronized void DrawSegment3On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 12, 9);
   }

   private synchronized void DrawSegment3Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 12, 9);
   }

   private synchronized void DrawSegment6On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 23, 9);
   }

   private synchronized void DrawSegment6Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawHorizontalLine(var1, var2 + 3, var3 + 23, 9);
   }

   private synchronized void DrawSegment1On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawVerticalLine(var1, var2 + 1, var3 + 3, 9);
   }

   private synchronized void DrawSegment1Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawVerticalLine(var1, var2 + 1, var3 + 3, 9);
   }

   private synchronized void DrawSegment2On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawVerticalLine(var1, var2 + 12, var3 + 3, 9);
   }

   private synchronized void DrawSegment2Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawVerticalLine(var1, var2 + 12, var3 + 3, 9);
   }

   private synchronized void DrawSegment4On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawVerticalLine(var1, var2 + 1, var3 + 14, 9);
   }

   private synchronized void DrawSegment4Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawVerticalLine(var1, var2 + 1, var3 + 14, 9);
   }

   private synchronized void DrawSegment5On(Graphics var1, int var2, int var3) {
      var1.setColor(this.LEDColour);
      this.DrawVerticalLine(var1, var2 + 12, var3 + 14, 9);
   }

   private synchronized void DrawSegment5Off(Graphics var1, int var2, int var3) {
      var1.setColor(this.BackGround);
      this.DrawVerticalLine(var1, var2 + 12, var3 + 14, 9);
   }

   private synchronized void DrawHorizontalLine(Graphics var1, int var2, int var3, int var4) {
      var1.drawLine(var2 + 1, var3 - 1, var2 + var4 - 3, var3 - 1);
      var1.drawLine(var2, var3, var2 + var4 - 1, var3);
      var1.drawLine(var2 + 1, var3 + 1, var2 + var4 - 3, var3 + 1);
   }

   private synchronized void DrawVerticalLine(Graphics var1, int var2, int var3, int var4) {
      var1.drawLine(var2 - 1, var3 + 1, var2 - 1, var3 + var4 - 3);
      var1.drawLine(var2, var3, var2, var3 + var4 - 1);
      var1.drawLine(var2 + 1, var3 + 1, var2 + 1, var3 + var4 - 3);
   }

   public boolean mouseMove(Event var1, int var2, int var3) {
      if (this.theURLToGoTo != null && this.notUpdatedYet) {
         this.notUpdatedYet = false;
         ((Applet)this).showStatus(this.theURLToGoTo.toExternalForm());
      }

      return true;
   }

   public boolean mouseDrag(Event var1, int var2, int var3) {
      if (this.theURLToGoTo != null && this.notUpdatedYet) {
         this.notUpdatedYet = false;
         ((Applet)this).showStatus(this.theURLToGoTo.toExternalForm());
      }

      return true;
   }

   public boolean mouseEnter(Event var1, int var2, int var3) {
      if (this.theURLToGoTo != null) {
         ((Applet)this).showStatus(this.theURLToGoTo.toExternalForm());
      }

      this.mouseOut = false;
      return true;
   }

   public boolean mouseDown(Event var1, int var2, int var3) {
      if (this.theURLToGoTo != null) {
         ((Applet)this).showStatus(this.theURLToGoTo.toExternalForm());
      }

      return true;
   }

   public boolean mouseUp(Event var1, int var2, int var3) {
      if (this.theURLToGoTo != null && !this.mouseOut) {
         ((Applet)this).getAppletContext().showDocument(this.theURLToGoTo);
      }

      return true;
   }

   public boolean mouseExit(Event var1, int var2, int var3) {
      this.notUpdatedYet = true;
      this.mouseOut = true;
      ((Applet)this).showStatus("");
      return true;
   }

   public void start() {
      if (this.tickTock == null) {
         this.tickTock = new Thread(this);
         this.tickTock.start();
      }

   }

   public void stop() {
      if (this.tickTock != null) {
         this.tickTock.stop();
         this.tickTock = null;
      }

   }

   public void run() {
      while(true) {
         try {
            Thread.currentThread();
            Thread.sleep((long)this.speed);
         } catch (InterruptedException var1) {
         }

         super.repaint();
      }
   }
}
